LibreOffice LibreOffice 25.8 SDK API Reference

Variables
com::sun::star::sdb::application::CopyTableContinuation Constant Group Reference

specifies the possible continuations when copying a table row via a CopyTableWizard failed. More...

## Variables
const short | Proceed = 0
| indicates the error should be ignored, and copying should be continued. More...
const short | CallNextHandler = 1
| is used to indicate the next registered XCopyTableListener should be called. More...
const short | Cancel = 2
| cancels the whole copying process More...
const short | AskUser = 3
| asks the user how the handle the error. More...

## Detailed Description

specifies the possible continuations when copying a table row via a CopyTableWizard failed.

## Variable Documentation

## ◆ AskUser

const short AskUser = 3

asks the user how the handle the error.

The user can choose between ignoring the error and canceling the copy operation.

## ◆ CallNextHandler

const short CallNextHandler = 1

is used to indicate the next registered XCopyTableListener should be called.

## ◆ Cancel

const short Cancel = 2

cancels the whole copying process

## ◆ Proceed

const short Proceed = 0

indicates the error should be ignored, and copying should be continued.